<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;


$site_cd = $_REQUEST['site_cd'];

/* Begin the transaction. */
if ( sqlsrv_begin_transaction( $conn ) === false ) {
     die( print_r( sqlsrv_errors(), true ));
}


$sql="SELECT hours_type_cd =hours_type_cd+' : '+ hours_type_desc,  hours_type.hours_type_multiplier, hours_type.hours_type_adder    FROM hours_type (NOLOCK)   
		WHERE hours_type.site_cd = ?";
		
//echo $sql;
$params = array($site_cd);		
$stmt = sqlsrv_query( $conn, $sql,$params);

	if( !$stmt ) {
		$error_message = "Error selecting table (crf_mst)";
		returnError($error_message);
		die( print_r( sqlsrv_errors(), true));
				 
	}

	$json= array();

	do {
		while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {	
				 
		$json[] = $row;		
				
		}
	}
	while ( sqlsrv_next_result($stmt) );


if( $stmt) {
	 sqlsrv_commit( $conn );
	 sqlsrv_close( $conn);	
	 returnData($json);		
} else {
	 sqlsrv_rollback( $conn );
	 $error_message = "Transaction rolled back.<br />";
	 returnError($error_message);
}

function returnData($json){
	
	 $json1 = json_encode($json);
	  
if(empty(json_decode($json1,1))) {
     $returnData = array(
	'status' => 'Alert',
	'message' => 'No Records found',
	'data' => $json);
}else{
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',	
	'data' => $json);
}
	

	echo json_encode($returnData);
}

function returnError($error_message){	
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message);	
	echo json_encode($returnData);
	exit();
}


 
?>